from agenda_culturel.models import Event
import json


class EventsImporter:

    def __init__(self, celery_id):
        self.celery_id = celery_id


    def import_events(self, json_structure):

        try:
            structure = json.loads(json_structure)
        except:
            return (False, "JSON file is not correctly structured")

        if not "header" in structure:
            return (False, "JSON is not correctly structured: missing header")

        if "url" in structure["header"]:
            self.url = structure["header"]["url"]
        else:
            return (False, "JSON is not correctly structured: missing url in header")

        if "url" in structure["header"]:
            self.date = structure["header"]["date"]

        # load events
        for event in structure["events"]:
            self.import_event(event)

        # update object with infos from header, and with the list of imported objects
        # TODO

        # events that are missing from the import but in database are turned into drafts
        # TODO

        return (True, "")

    
    def import_event(self, event):
        # TODO

        pass



